## csweb.zip

=== vitexsoftware/phpunit-skeleton-generator/Makefile ===
phar:
	php -d phar.readonly=off `which phar-composer` build 
deb:
	debuild -us -uc

=== vitexsoftware/phpunit-skeleton-generator/debian/changelog ===
phpunit-skelgen (2.1.0) UNRELEASED; urgency=medium

  * Generate tests with use of class in original namespace

 -- CyberVitexus <vitex@exiv.jinonice.czf>  Sun, 10 May 2020 14:59:14 +0200

phpunit-skelgen (2.0.2) experimental; urgency=medium

  * Initial release. (Closes: #XXXXXX)

 -- Vítězslav Dvořák <info@vitexsoftware.cz>  Fri, 06 Sep 2019 00:21:18 +0200

=== vitexsoftware/phpunit-skeleton-generator/debian/control ===
Source: phpunit-skelgen
Build-Depends: debhelper (>= 7.0.50~),php-cli
Standards-Version: 3.8.4
Maintainer: Vítězslav Dvořák <info@vitexsoftware.cz>
Uploaders: Vitex <vitex@hippy.cz>
Priority: optional
Section: php
Homepage: https://github.com/VitexSoftware/phpunit-skeleton-generator

Package: phpunit-skelgen
Depends: php-cli
Architecture: all
Section: php
Priority: optional
Description: PHPUnit skeleton test classes generator
 Tool that can generate skeleton test classes from production code classes 
 and vice versa.

=== vitexsoftware/phpunit-skeleton-generator/debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE = 1

%:
	dh $@

override_dh_clean:
	composer update
	rm -f phpunit-skeleton-generator.phar
	dh_clean

override_dh_prepare:
	php -d phar.readonly=off `which phar-composer` build 
	dh_prepare

override_dh_install:
	dh_install
	mv debian/phpunit-skelgen/usr/bin/phpunit-skeleton-generator.phar debian/phpunit-skelgen/usr/bin/phpunit-skelgen
